# Uses of Class
org.eclipse.mat.snapshot.model.ObjectReference

Packages that use ObjectReference
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.snapshot.model
Snapshot entities, for example class, instances, class loaders, fields, GC roots.

## Uses of ObjectReference in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections that return ObjectReference
Modifier and Type
Method
Description
`static ObjectReference`
ReferenceQuery.`getReferent(IInstance instance)`

## Uses of ObjectReference in org.eclipse.mat.snapshot.model

Subclasses of ObjectReference in org.eclipse.mat.snapshot.model
Modifier and Type
Class
Description
`class`
`NamedReference`
A named reference.
`class`
`PseudoReference`
Value of a field if it is a pseudo references.
`class`
`ThreadToLocalReference`
The class represents a references from a running thread object to objects which are local for this thread.